Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Class MovementEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.custom.MovementEvent

All Implemented Interfaces:
  Serializable

    public class MovementEvent

extends TypedEvent

This event is sent when a new offset is required based on the current offset and a movement type.

Since:
  3.3
See Also:
  Sample code and further information, Serialized Form

Field Summary
`int` `lineOffset` line start offset (input)
`String` `lineText` line text (input)
`int` `movement` the movement type (input)
`int` `newOffset` the new offset (input, output)
`int` `offset` the current offset (input)

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MovementEvent(org.eclipse.swt.custom.StyledTextEvent e)` Constructs a new instance of this class based on the information in the given event.

Method Summary

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lineOffset

    public int lineOffset

  line start offset (input)

### lineText

    public String lineText

  line text (input)

### offset

    public int offset

  the current offset (input)

### newOffset

    public int newOffset

  the new offset (input, output)

### movement

    public int movement

  the movement type (input)

  See Also:
    `SWT.MOVEMENT_WORD`, `SWT.MOVEMENT_WORD_END`, `SWT.MOVEMENT_WORD_START`, `SWT.MOVEMENT_CHAR`, `SWT.MOVEMENT_CLUSTER`

Constructor Detail

### MovementEvent

    public MovementEvent(org.eclipse.swt.custom.StyledTextEvent e)

  Constructs a new instance of this class based on the information in the given event.

  Parameters:
    `e` - the event containing the information

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.